package fr.username404.snowygui.forge

import fr.username404.snowygui.ClickGui
import fr.username404.snowygui.gui.feature.ButtonImpl
import fr.username404.snowygui.misc.AddKeyMaps
import net.neoforged.bus.api.SubscribeEvent
import net.neoforged.neoforge.client.event.RegisterKeyMappingsEvent
import net.neoforged.neoforge.client.event.RegisterMenuScreensEvent

object MiscModBusHandlers {
    @SubscribeEvent
    fun handleClickGuiInit(event: RegisterMenuScreensEvent) {
        ClickGui.tick()
        ButtonImpl.initButtons()
    }
    @SubscribeEvent
    fun handleKeys(event: RegisterKeyMappingsEvent) {
        AddKeyMaps.list.forEach {
            event.register(it.key)
        }
    }
}