package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.EventSnowy
import fr.username404.snowygui.argsLambda
import fr.username404.snowygui.gui.Renderable
import net.minecraft.client.gui.GuiGraphics

sealed class ButtonImplWithHud: ButtonImpl() {
    protected abstract val hudRenderLambda: Renderable
    private val generatedLambda: argsLambda = { hudRenderLambda.render(it.first() as GuiGraphics?) }
    final override fun execAction() {
        EventSnowy["HudRender"].run {
            if (toggled) add(generatedLambda)
            else remove(generatedLambda)
        }
    }
}